Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.webservice.extensions
Interface WLCall

public interface WLCall
extends javax.xml.rpc.Call

WebLogic-specific extensions to JAX-RPC Call interface.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Fields inherited from class javax.xml.rpc.Call
`ENCODINGSTYLE_URI_PROPERTY, OPERATION_STYLE_PROPERTY, PASSWORD_PROPERTY, SESSION_MAINTAIN_PROPERTY, SOAPACTION_URI_PROPERTY, SOAPACTION_USE_PROPERTY, USERNAME_PROPERTY`

Method Summary
`java.lang.Class` | `getParameterJavaType(java.lang.String name)` Returns the Java data type of the specified parameter.
`javax.xml.rpc.ParameterMode` | `getParameterMode(java.lang.String name)` Returns the mode (IN, OUT, or INOUT) of the parameter.
`java.util.Iterator` | `getParameterNames()` Returns the name of all the parameters of this call.

Methods inherited from interface javax.xml.rpc.Call
`addParameter, addParameter, getOperationName, getOutputParams, getOutputValues, getParameterTypeByName, getPortTypeName, getProperty, getPropertyNames, getReturnType, getTargetEndpointAddress, invoke, invoke, invokeOneWay, isParameterAndReturnSpecRequired, removeAllParameters, removeProperty, setOperationName, setPortTypeName, setProperty, setReturnType, setReturnType, setTargetEndpointAddress`

Method Detail

### getParameterNames

    public java.util.Iterator getParameterNames()

  Returns the name of all the parameters of this call.

  Returns:
    name of the parameters

### getParameterJavaType

    public java.lang.Class getParameterJavaType(java.lang.String name)

  Returns the Java data type of the specified parameter.

  Parameters:
    `name` - name of the parameter
  Returns:
    java Class of the specified parameter

### getParameterMode

    public javax.xml.rpc.ParameterMode getParameterMode(java.lang.String name)

  Returns the mode (IN, OUT, or INOUT) of the parameter.

  Parameters:
    `name` - name of the parameter
  Returns:
    the mode of the parameter specified

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD